/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 根据绑定邮箱判断用户是否已存在 POST /api/Account/AnyUserByBindEmail */
export async function anyUserByBindEmail(
  body: API.AnyUserByBindEmailInput,
  options?: API.RequestConfig
) {
  return request<boolean>('/api/Account/AnyUserByBindEmail', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 根据手机号判断用户是否已存在 POST /api/Account/AnyUserByPhoneNumber */
export async function anyUserByPhoneNumber(
  body: API.AnyUserByPhoneNumberInput,
  options?: API.RequestConfig
) {
  return request<boolean>('/api/Account/AnyUserByPhoneNumber', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 绑定用户账户邮箱 POST /api/Account/BindUserEmail */
export async function bindUserEmail(body: API.BindUserEmailInput, options?: API.RequestConfig) {
  return request<number>('/api/Account/BindUserEmail', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 用户根据当前密码修改密码 POST /api/Account/ChangePasswordFromCurrentPwd */
export async function changePasswordFromCurrentPwd(
  body: API.ChangePasswordFromCurrentPwdInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Account/ChangePasswordFromCurrentPwd', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 用户根据手机号修改密码验证码 POST /api/Account/ChangePasswordFromPhoneNumber */
export async function changePasswordFromPhoneNumber(
  body: API.ChangePasswordFromPhoneNumberInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Account/ChangePasswordFromPhoneNumber', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 未登录下根据手机号修改密码验证码(忘记密码) POST /api/Account/ChangePasswordWithNoLogin */
export async function changePasswordWithNoLogin(
  body: API.ChangePasswordFromPhoneNumberInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Account/ChangePasswordWithNoLogin', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 修改账号 POST /api/Account/ChangeUserName */
export async function changeUserName(body: API.ChangeUserNameInput, options?: API.RequestConfig) {
  return request<number>('/api/Account/ChangeUserName', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 管理员更改用户登录手机号 POST /api/Account/ChangeUserPhoneNumberForAdmin */
export async function changeUserPhoneNumberForAdmin(
  body: API.ChangePhoneNumberInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Account/ChangeUserPhoneNumberForAdmin', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 用户更改登录手机号 POST /api/Account/ChangeUserPhoneNumberForUser */
export async function changeUserPhoneNumberForUser(
  body: API.ChangeUserPhoneNumberForUserInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Account/ChangeUserPhoneNumberForUser', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 管理员创建用户 POST /api/Account/CreateUserForAdmin */
export async function createUserForAdmin(
  body: API.CreateUserForAdminInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Account/CreateUserForAdmin', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 生成账号 POST /api/Account/GenerateUserName */
export async function generateUserName(
  body: API.GenerateUserNameInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/Account/GenerateUserName', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/Account/GetOssSTS */
export async function getOssSTS(options?: API.RequestConfig) {
  return request<API.OssSTSReponse>('/api/Account/GetOssSTS', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 获取扫码登录二维码信息 GET /api/Account/GetQrCodeForLogin */
export async function getQrCodeForLogin(options?: API.RequestConfig) {
  return request<API.QrCodeLogin>('/api/Account/GetQrCodeForLogin', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取扫码登录结果 GET /api/Account/GetQrCodeLoginResult */
export async function getQrCodeLoginResult(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetQrCodeLoginResultParams,
  options?: API.RequestConfig
) {
  return request<API.WxMiniAppLoginInfo>('/api/Account/GetQrCodeLoginResult', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 电子签登录 POST /api/Account/GetTokenForUserSign */
export async function getTokenForUserSign(body: API.AccessRequestDto, options?: API.RequestConfig) {
  return request<API.IdentityModelTokenCacheItem>('/api/Account/GetTokenForUserSign', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/Account/GetTokenForWeb */
export async function getTokenForWeb(body: API.AccessRequestDto, options?: API.RequestConfig) {
  return request<API.IdentityModelTokenCacheItem>('/api/Account/GetTokenForWeb', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取微信小程序用户身份会话信息 GET /api/Account/GetWxIndentity */
export async function getWxIndentity(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetWxIndentityParams,
  options?: API.RequestConfig
) {
  return request<API.WxMiniAppIndentityInfo>('/api/Account/GetWxIndentity', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取学社公众号文章 GET /api/Account/GetWxPublishWriting */
export async function getWxPublishWriting(options?: API.RequestConfig) {
  return request<API.InformationShowListDtoPageOutput>('/api/Account/GetWxPublishWriting', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 判断用户绑定邮箱是否重复 GET /api/Account/IsRepeatByBindEmail */
export async function isRepeatByBindEmail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIisRepeatByBindEmailParams,
  options?: API.RequestConfig
) {
  return request<boolean>('/api/Account/IsRepeatByBindEmail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 企业名称是否重复 GET /api/Account/IsRepeatByIsRepeatByEnterpriseName */
export async function isRepeatByIsRepeatByEnterpriseName(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIisRepeatByIsRepeatByEnterpriseNameParams,
  options?: API.RequestConfig
) {
  return request<boolean>('/api/Account/IsRepeatByIsRepeatByEnterpriseName', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 判断用户手机号是否重复 GET /api/Account/IsRepeatByPhoneNumber */
export async function isRepeatByPhoneNumber(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIisRepeatByPhoneNumberParams,
  options?: API.RequestConfig
) {
  return request<boolean>('/api/Account/IsRepeatByPhoneNumber', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** life pay手机验证码登录 POST /api/Account/LifePayPhoneMesssageCodeLogin */
export async function lifePayPhoneMesssageCodeLogin(
  body: API.PhoneMesssageCodeLoginInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/Account/LifePayPhoneMesssageCodeLogin', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 密码登录 POST /api/Account/PasswordLogin */
export async function passwordLogin(body: API.PasswordLoginInput, options?: API.RequestConfig) {
  return request<API.IdentityModelTokenCacheItem>('/api/Account/PasswordLogin', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 验证码登录 POST /api/Account/PhoneMesssageCodeLogin */
export async function phoneMesssageCodeLogin(
  body: API.PhoneMesssageCodeLoginInput,
  options?: API.RequestConfig
) {
  return request<API.IdentityModelTokenCacheItem>('/api/Account/PhoneMesssageCodeLogin', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 手机号验证码注册注册 POST /api/Account/PhoneMesssageCodeRegister */
export async function phoneMesssageCodeRegister(
  body: API.PhoneMesssageCodeRegisterInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Account/PhoneMesssageCodeRegister', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 重置密码并发送手机通知新密码 POST /api/Account/ResetPasswordWithMicroNotify */
export async function resetPasswordWithMicroNotify(
  body: API.ResetPasswordBaseInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Account/ResetPasswordWithMicroNotify', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 发送登录注册短信验证码 POST /api/Account/SendPhoneMesssageCode */
export async function sendPhoneMesssageCode(
  body: API.SendPhoneMesssageCodeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Account/SendPhoneMesssageCode', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 解绑用户邮箱 POST /api/Account/UnbindingUserEmail */
export async function unbindingUserEmail(
  body: API.UnbindingUserEmailInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Account/UnbindingUserEmail', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 解绑用户手机号 POST /api/Account/UnbindingUserPhoneNumber */
export async function unbindingUserPhoneNumber(
  body: API.UnbindingUserPhoneNumber,
  options?: API.RequestConfig
) {
  return request<number>('/api/Account/UnbindingUserPhoneNumber', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 识别营业执照 GET /api/Account/VatLicense */
export async function vatLicense(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIvatLicenseParams,
  options?: API.RequestConfig
) {
  return request<API.LicenseOcrModel>('/api/Account/VatLicense', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 小程序手机授权注册登录 POST /api/Account/WxMiniAppPhoneAuthLogin */
export async function wxMiniAppPhoneAuthLogin(
  body: API.WxMiniAppPhoneLoginInput,
  options?: API.RequestConfig
) {
  return request<API.IdentityModelTokenCacheItem>('/api/Account/WxMiniAppPhoneAuthLogin', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 小程序扫码手机授权注册登录 POST /api/Account/WxMiniAppPhoneAuthLoginFromScan */
export async function wxMiniAppPhoneAuthLoginFromScan(
  body: API.WxMiniAppPhoneAuthLoginFromScanInput,
  options?: API.RequestConfig
) {
  return request<API.IdentityModelTokenCacheItem>('/api/Account/WxMiniAppPhoneAuthLoginFromScan', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 已有小程序用户确认登录 GET /api/Account/WxMiniAppUserLogin */
export async function wxMiniAppUserLogin(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIwxMiniAppUserLoginParams,
  options?: API.RequestConfig
) {
  return request<any>('/api/Account/WxMiniAppUserLogin', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 已有小程序用户扫码确认登录 POST /api/Account/WxMiniAppUserLoginFromScan */
export async function wxMiniAppUserLoginFromScan(
  body: API.WxMiniAppUserLoginFromScanInput,
  options?: API.RequestConfig
) {
  return request<API.IdentityModelTokenCacheItem>('/api/Account/WxMiniAppUserLoginFromScan', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 GET /api/accountAuth/GetCode */
export async function getCode(options?: API.RequestConfig) {
  return request<any>('/api/accountAuth/GetCode', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/accountAuth/GetPhoneToken */
export async function getPhoneToken(body: API.PhoneToken, options?: API.RequestConfig) {
  return request<API.IdentityModelTokenCacheItem>('/api/accountAuth/GetPhoneToken', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/accountAuth/GetToken */
export async function getToken(body: API.AccessRequestDto, options?: API.RequestConfig) {
  return request<API.IdentityModelTokenCacheItem>('/api/accountAuth/GetToken', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/accountAuth/GetTokenByRefreshToken */
export async function getTokenByRefreshToken(
  body: API.AccessRefreshToken,
  options?: API.RequestConfig
) {
  return request<API.IdentityModelTokenCacheItem>('/api/accountAuth/GetTokenByRefreshToken', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/accountAuth/Register */
export async function register(body: API.RegisterDto, options?: API.RequestConfig) {
  return request<API.IdentityUserDto>('/api/accountAuth/Register', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/accountAuth/ResetPassword */
export async function resetPassword(body: API.ResetPasswordDto, options?: API.RequestConfig) {
  return request<any>('/api/accountAuth/ResetPassword', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/accountAuth/SendPasswordResetCode */
export async function sendPasswordResetCode(
  body: API.SendPasswordResetCodeDto,
  options?: API.RequestConfig
) {
  return request<any>('/api/accountAuth/SendPasswordResetCode', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
